Index: channels/chan_zap.c
===================================================================
--- channels/chan_zap.c	(rvision 91579)
+++ channels/chan_zap.c	(copie de travail)
@@ -7087,6 +7087,18 @@
 		if (cs)
 			callerid_free(cs);
 
+		if (flags & CID_MSGWAITING) {
+ 			ast_log(LOG_NOTICE, "MWI: Channel %d message waiting!\n", p->channel);
+ 			notify_message(p->mailbox, 1);
+			ast_hangup(chan);
+			return NULL;
+ 		} else if (flags & CID_NOMSGWAITING) {
+ 			ast_log(LOG_NOTICE, "MWI: Channel %d no message waiting!\n", p->channel);
+ 			notify_message(p->mailbox, 0);
+			ast_hangup(chan);
+			return NULL;
+ 		}
+		
 		ast_setstate(chan, AST_STATE_RING);
 		chan->rings = 1;
 		p->ringt = p->ringt_base;
